Drupal 遠端程式碼執行弱點 (SA-CORE-2018-002) (攻擊程式)

critical Nessus Plugin ID 109041

Synopsis

遠端網頁伺服器上主控的 PHP CMS 受到一個遠端命令執行弱點影響。

描述

遠端主機上安裝的 Drupal CMS 受到一個遠端命令執行弱點影響。未經驗證的遠端攻擊者可能會利用此問題,在遠端主機上執行任意命令。

解決方案

升級至 Drupal 7.58 / 8.3.9 / 8.4.6 / 8.5.1 版或更新版本。

另請參閱

https://www.drupal.org/SA-CORE-2018-002

https://github.com/a2u/CVE-2018-7600/blob/master/exploit.py

Plugin 詳細資訊

嚴重性: Critical

ID: 109041

檔案名稱: drupal_CVE-2018-7600_rce.nbin

版本: 1.57

類型: remote

系列: CGI abuses

已發布: 2018/4/13

已更新: 2022/4/25

風險資訊

CVSS 評分資料來源: CVE-2018-7600

VPR

風險因素: Critical

分數: 9.7

CVSS v2

風險因素: High

基本分數: 7.5

時間分數: 6.5

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:H/RL:OF/RC:C

CVSS v3

風險因素: Critical

基本分數: 9.8

時間分數: 9.4

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

時間媒介: E:H/RL:O/RC:C

弱點資訊

CPE: cpe:/a:drupal:drupal

必要的 KB 項目: installed_sw/Drupal

可被惡意程式利用: true

可輕鬆利用: Exploits are available

由 Nessus 利用: true

修補程式發佈日期: 2018/3/28

弱點發布日期: 2018/3/28

CISA 已知利用日期: 2022/5/3

惡意利用途徑

Core Impact

Metasploit (Drupal Drupalgeddon 2 Forms API Property Injection)

參考資訊

CVE: CVE-2018-7600